Subject: Re: [PATCH 1/2] powerpc: ipic: use set_irq_chip to ensure irq_chip defaults are applied

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 07 Jun 2010 21:41:05 +1000

On Mon, 2010-06-07 at 12:22 +0200, Thomas Gleixner wrote:

> > Would it be better to change the call order in __setup_irq(), and
> > call irq_chip_set_defaults after __irq_set_trigger() ?   Or perhaps
> > even calling it twice (again after __irq_set_trigger()) ?
> 
> Grmpf, set_type() was never meant to change the chip. It's fatal do
> so, as the code in setup_irq already has a reference to desc->chip and
> calls the wrong functions anyway aside of having not run through the
> set defaults code.
> 
> That needs more thought, as it requires to reload the reference.
> 
> Ben, any thoughts ?

Not off hand. It's common to have a different chip ops for different
types, so we need to sort that out. I'll try to have a look asap but I'm
really really swamped at the moment, so I can make no promise that I'll
come up with a solution tomorrow.

/me off to bed

Cheers,
Ben.